Release: 2.0.25 | Release Date: January 2, 2024

# SQLAlchemy 2.0 Documentation

# Basic Use

This section has moved to Declarative Mapping.

## Defining Attributes

This section is covered by Mapping Table Columns

## Accessing the MetaData

This section has moved to Accessing Table and Metadata.

## Class Constructor

This section has moved to Mapped Class Essential Components.

## Mapper Configuration

This section is moved to Mapper Configuration Options with Declarative.

## Defining SQL Expressions

See SQL Expressions as Mapped Attributes for examples on declaratively mapping attributes to SQL expressions.